IFAPI_HIERARCHY Struct Reference

`#include <ifapi_keystore.h>`

## Data Fields

TPMI_YES_NO | with_auth
char * | description
TPM2B_DIGEST | authPolicy
ESYS_TR | esysHandle
bool | authorized
TPM2B_NAME | name

## Detailed Description

Type for representing hierarchy

## Field Documentation

## authorized

bool authorized

Switch whether hiearchy is authorized.

## description

char* description

Human readable description of hierarchy

## name

TPM2B_NAME name

Name of the hierarchy

## with_auth

TPMI_YES_NO with_auth

Authorization provided

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_keystore.h